# Bio.PDB.binary_cif module

A module to interact with BinaryCIF-formatted files.

class Bio.PDB.binary_cif.BinaryCIFParser

  Bases: `object`

  A parser for BinaryCIF files.

  See the BinaryCIF specification.

  __init__()

    Initialize a BinaryCIF parser.

  get_structure(id: str | None, source: str) → Structure

    Parse and return the PDB structure from a BinaryCIF file.

    Parameters:

      - id (str) – the PDB code for this structure

      - source (str) – the path to the BinaryCIF file

    Returns:

      the PDB structure

    Return type:

      Bio.PDB.Structure.Structure

  __annotate_func__ = None
  __annotations_cache__ = {}
  __firstlineno__ = 190
  __static_attributes__ = ('_structure_builder',)

Biopython v: 1.86

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub